#
# spec file for package cups-autoconfig (Version 0.1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    ConsoleKit PolicyKit aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale grep groff gzip hal hal-devel info insserv intltool less libacl libattr libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdb-4_5 libexpat1 libext2fs-devel libext2fs2 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-config pam-modules parted patch pcre pcre-devel perl perl-XML-Parser perl-base permissions pkg-config pmtools popt pwdutils rpm sed setserial sysvinit tar texinfo timezone util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb zlib zlib-devel

Name:           cups-autoconfig
Url:            http://code.google.com/p/cups-autoconfig
Version:        0.1.0
Release:        27.2
Group:          System/Base
License:        GPL v2 only
Summary:        A Utility to Auto-configure Printers
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cups >= 1.2 glib2 >= 2.8 hal dbus-1
BuildRequires:  cups-devel dbus-1-devel glib2-devel >= 2.8 hal hal-devel intltool
Source:         %{name}-%{version}.tar.gz

%description
This package contains a utility for auto-configuring printers.



Authors:
--------
    Chris Rivera <crivera@novell.com>

%debug_package
%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure --with-slibdir=/%{_lib}

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/cups-autoconfig
%{_libdir}/cups-autoconfig/cups-autoconfig
%{_libdir}/hal/hal-cups-autoconfig
%config %{_sysconfdir}/cups-autoconfig.conf
%{_datadir}/hal/fdi/policy/20thirdparty/10-cups-autoconfig.fdi
%{_datadir}/locale/en_US/LC_MESSAGES/cups-autoconfig.mo

%changelog
* Mon Dec 17 2007 - crivera@suse.de
- Fix incorrect va_args usage.  This fixes 330615.
* Fri Nov 30 2007 - crivera@suse.de
- Disable the ability to pause printers on removal. This
  fixes 334166 and, possibly, 330615.
- Don't use the absolute path in hal callout script and
  move the fdi file from osvendor to thirdparty directory.
- Remove the debug option in favor of always logging
  good debugging information.
- Set the printer.configured_existing property on old
  printers that have been plugged back in.  This lets
  gvm know that it doesn't need to do anything.  This
  should fix 304933.
- Default to not setting the CUPS policy for new printers.
* Mon Jul 30 2007 - crivera@suse.de
- Use HAL device properties instead of DBus signals
  to inform policy applications about newly configured printers.
* Fri Jul 27 2007 - crivera@suse.de
- Initial import.
